6年前 (2013-04-02)  网站建设 |   抢沙发  1 
文章评分 0 次,平均分 0.0

2012-11-19_214113牵挂购买了一个小内存的VPS,安装LNMP0.9,在安装wordpress时悲剧了,先是登陆不了后台,百度解决后,又出现WORDPRESS不显示主题,只好再通过百度,找到了解决方法,下面就把方法共享给大家。

LNMP升级到0.9版本后,发现WordPress后台的主题列表没法显示,并且主题在线编辑也不行,提示class-wp-theme.php中有4行发生错误。

查询之后发现LNMP0.9默认的环境关闭了scandir。除此之外还禁用了一下其他危险的PHP函数。
可以通过修改PHP配置文件来搞定:

/usr/local/php/etc/php.ini

找到disable_functions,删除其中的scandir。

2012-11-19_214113

 

然后重启PHP即可生效:

/etc/init.d/php-fpm restart

备注:可直接通过命令行修改php.ini文件,通过输入/,进入搜索模式。

 

除特别注明外,本站所有文章均为牵挂的家原创,转载请注明出处来自http://qinai.net/1326.html

发表评论

表情 格式

暂无评论

登录

忘记密码 ?

切换登录

注册

扫一扫二维码分享